## gworkspace 0.8.3

=== Tools/fswatcher/system-specific/fswatcher-linux-2.4/module/Makefile ===

INCLUDES="-I/usr/src/linux/include -I/usr/src/linux-2.4/include"

all:
	$(CC) -g -O2 -Wall -DMODULE -D__KERNEL__ $(INCLUDES) -c ./fswatcher.c

clean:
	rm fswatcher.o

#install:
#	(/bin/mknod /dev/fswatcher c 40 0; exit 0 )
#	chmod 0600 /dev/fswatcher

.NOEXPORT:

## gworkspace 0.8.8

=== debian/changelog ===
gworkspace (0.8.8-1.2) unstable; urgency=low

  * Non-maintainer upload.
  * Re-encode changelog entry for 0.8.7-1 as UTF-8 (closes: #694421).

 -- Colin Watson <cjwatson@debian.org>  Tue, 04 Jun 2013 11:10:22 +0100

gworkspace (0.8.8-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix "FTBFS with GCC-4.7": add patch from Yavor Doganov
    (Closes: #667874)

 -- gregor herrmann <gregoa@debian.org>  Sat, 26 May 2012 18:51:22 +0200

gworkspace (0.8.8-1) unstable; urgency=low

  * New upstream version.
  * Bump standards version.
  * Change section to gnustep.

 -- Gürkan Sengün <gurkan@phys.ethz.ch>  Fri, 03 Sep 2010 12:57:23 +0200

gworkspace (0.8.7-1) experimental; urgency=low

  * New upstream version.
  * Update my email address.
  * Update homepage address.
  * Update debian/copyright.

  [Hubert Chathi]
  * Add suggests openoffice.org in gnustep-app-wrappers.
  * Add build-depends on libsqlite3-dev.
 -- Gürkan Sengün <gurkan@phys.ethz.ch>  Wed, 01 Oct 2008 13:33:35 +0200

gworkspace (0.8.6-1) unstable; urgency=low

  * New upstream version.
  * GNUstep transition.
    + Updated debian/rules.
  * debian/compat: Bump version, no changes needed.
  * Updated debian/copyright.
  * Updated debian menu files.
  * Added a desktop file.
  * Removed clipbook.app package.
  * Removed ggv.app from gnustep-apps-wrappers. (Closes: #384231)

 -- Gürkan Sengün <gurkan@linuks.mine.nu>  Wed, 31 Oct 2007 09:30:35 +0100

gworkspace (0.8.3-2) unstable; urgency=low

  * Apply patch for popplerkit instead of pdfkit from Hubert.
  * Add Hubert to Uploaders.

 -- Gürkan Sengün <gurkan@linuks.mine.nu>  Thu,  2 Nov 2006 22:50:14 +0100

gworkspace (0.8.3-1) unstable; urgency=low

  * New upstream version. (Closes: #387505)
  * Bump standards version.
  * Updated build-depends.
  * Switched me between Maintainer and Uploaders.

 -- Gürkan Sengün <gurkan@linuks.mine.nu>  Fri, 15 Sep 2006 14:59:36 +0200

gworkspace (0.7.0-1.2) unstable; urgency=low

  * Remove me as uploader.
  * Do not write to user directory during build. Closes: #355570.

 -- Matthias Klose <doko@debian.org>  Fri,  7 Jul 2006 22:58:35 +0000

gworkspace (0.7.0-1.1) unstable; urgency=low

  * NMU to rebuild against new GNUstep libraries (Closes: #350078).
    - suggests: preferences.app instead of preferences (renamed).
  * Fix FTBFS by adding "../.." to the includes path for GWRemote (Closes:
    #327430).

 -- Hubert Chan <hubert@uhoreg.ca>  Tue, 21 Feb 2006 23:25:28 -0700

gworkspace (0.7.0-1) unstable; urgency=low

  * New upstream release (Closes: #286954).
  * New Maintainers and Co-Maintainers.
  * gworkspace.app now suggests (not recommends) gworkspace-apps-wrappers.
  * gworkspace.app now recommends preferences, wrapperfactory.app,
     preview.app, textedit.app, viewpdf.app, zipper.app, cynthiune.app.
  * gworkspace-apps-wrappers now suggests imagemagick, lyx-common,
     abiword-common, alsa-utils, bluefish, emacsen, galeon, gedit,
     gnome-gv, gimp, gnumeric, gqview, konqueror, easytag, nedit,
     sox, vim, nvi, xchat, xfig, xine-ui, xmms, xpdf-reader.
  * Overrides inappropriate linda warnings.
  * Remove Desktop.app wrapper, icon, manpage and menu entry:
     Desktop is no more an app.
  * Update debian/gworkspace.app.README.Debian (Thanks to Jonathan Shipley).

 -- Eric Heintzmann <eric@gnustep.fr.st>  Fri, 18 Mar 2005 20:26:40 +0100

gworkspace (0.6.5-3) unstable; urgency=low

  * gworkspace.app recommends gworkspace-apps-wrappers not apps-wrappers.
  * gworkspace-apps-wrappers recommends gworkspace.app not gworkspace.
  * gwremote.app suggests gworkspace.app not gworkspace.

 -- Eric Heintzmann <eric@gnustep.fr.st>  Thu,  9 Dec 2004 19:18:03 +0100

gworkspace (0.6.5-2) unstable; urgency=low

  * Rebuild using latest GNUstep Core packages
    and new pdfkit.framework package.
  * As suggested by Gurkan Sengun rename binary packages:
    - gworkspace -> gworkspace.app
    - clipbook -> clipbook.app (Closes: #241618)
    - apps-wrappers -> gworkspace-apps-wrappers (Closes: #241624)
    - gwremote -> gwremote.app
  * As suggested by Gurkan don't suffix wrapper and menu entry.
  * Upload in experimental.

 -- Eric Heintzmann <eric@gnustep.fr.st>  Wed, 24 Nov 2004 18:00:22 +0100

gworkspace (0.6.5-1) unstable; urgency=low

  * New upstream release

 -- Jonathan Shipley <jon@windj.ath.cx>  Mon, 11 Oct 2004 12:13:06 +0100

gworkspace (0.6.3-4) unstable; urgency=high

  * Tighten build dependency on libgnustep-gui0-dev.

 -- Matthias Klose <doko@debian.org>  Fri,  6 Aug 2004 08:23:39 +0200

gworkspace (0.6.3-3) unstable; urgency=medium

  * debian/control:
    - Rebuid using latest GNUstep Core packages (Closes: #259667).
    - Bump Standards-Version to 3.6.1.1.
    - Add file in Build-Depends field.
  * debian/rules:
    - First install GWorkspace then build GWRemote.
    - New wrappers for GWorkspace.app, ClipBook.app and GWRemote.app.
  * debian/*.menu:
    - Add ".app" suffix to application names.
    - No more source GNUstep.sh.
  * Update manpages and README.Debian files.

 -- Eric Heintzmann <eric@gnustep.fr.st>  Sun, 18 Jul 2004 22:13:14 +0200

gworkspace (0.6.3-2) unstable; urgency=low

  * debian/rules: Update CC (Closes: #242501).
  * debian/control: Update Build-Depends (Closes: #241839).

 -- Eric Heintzmann <eric@gnustep.fr.st>  Sat, 10 Apr 2004 21:10:57 +0000

gworkspace (0.6.3-1) unstable; urgency=low

  * New upstream release
  * Update Readme.Debian, menu

 -- Eric Heintzmann <eric@gnustep.fr.st>  Tue, 17 Feb 2004 17:36:46 +0100

gworkspace (0.6.2-1) unstable; urgency=low

  * New upstream release.
  * Update debian/gworkspace.sh wrapper script.

 -- Eric Heintzmann <eric@gnustep.fr.st>  Thu, 13 Nov 2003 05:35:28 +0100

gworkspace (0.6-1) unstable; urgency=low

  * New upstream release.
  * Update to Standards-Version 3.6.1.

 -- Eric Heintzmann <eric@gnustep.fr.st>  Mon, 13 Oct 2003 17:44:59 +0200

gworkspace (0.5.3-1) unstable; urgency=low

  * New upstream release.
  * Update to Standards-Version 3.6.0.


=== debian/control ===
Source: gworkspace
Section: gnustep
Priority: optional
Maintainer: Gürkan Sengün <gurkan@phys.ethz.ch>
Uploaders: Eric Heintzmann <eric@gnustep.fr.st>, Jonathan Shipley <jon@windj.ath.cx>, Debian GNUstep maintainers <pkg-gnustep-maintainers@lists.alioth.debian.org>, Hubert Chan <uhoreg@debian.org>
Build-Depends: debhelper (>= 7), libgnustep-gui-dev (>= 0.12.0), libpopplerkit-dev, file
Standards-Version: 3.9.1
Homepage: http://www.gnustep.org/experience/GWorkspace.html

Package: gworkspace.app
Section: x11
Architecture: any
Depends: ${shlibs:Depends}
Conflicts: gworkspace
Replaces: gworkspace
Recommends: preferences.app, wrapperfactory.app, preview.app, textedit.app, viewpdf.app, zipper.app, cynthiune.app
Suggests: gworkspace-apps-wrappers
Description: GNUstep Workspace Manager
 GWorkspace is the official GNUstep workspace manager. It is a clone
 of NeXT's workspace manager. GWorkspace is probably one of the most
 useful and usable workspace managers available on any platform,
 owing to its well-designed interface and the natural, consistent
 design that it inherits from the GNUstep framework.

Package: gworkspace-apps-wrappers
Section: x11
Architecture: all
Conflicts: gworkspace (<< 0.4.5-1), apps-wrappers
Recommends: gworkspace.app
Suggests: imagemagick, lyx-common, alsa-utils, gimp, gnumeric, konqueror, easytag, nedit, sox, vim | nvi, xfig, xine-ui
Replaces: apps-wrappers
Description: Application wrappers for GWorkspace
 A few wrapper scripts to enable usage of non-GNUstep applications
 within a GNUstep environment.

=== debian/rules ===
#!/usr/bin/make -f
# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This has to be exported to make some magic below work.
#export DH_OPTIONS

include /usr/share/GNUstep/debian/config.mk
GNUSTEP_MAKEFILES=$(GS_MAKE_DIR)

MAKE=gs_make
GNUSTEP_MAKEFILES=/usr/share/GNUstep/Makefiles

# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

GNUSTEP_MAKE_SERVICES = true
export GNUSTEP_MAKE_SERVICES

#ADDITIONAL_INCLUDE_DIRS=" -I$(CURDIR)/FSNode -I$(CURDIR)/GWLib -I$(CURDIR)/Finder/Modules -I$(CURDIR)/Finder/SearchResults -I$(CURDIR)/Desktop/Dock"
#ADDITIONAL_LIB_DIRS=" -L$(CURDIR)/FSNode/FSNode.framework/Versions/Current  -L$(CURDIR)/GWLib/shared_obj"

#---------------------------------------------------------------------------

# libGWorkspace SONAME version :
#sov_base := 1

# packages names
p_gwork	= gworkspace.app
p_wrap	= gworkspace-apps-wrappers
#p_lib	= lib$(p_gwork)$(sov_base)
#p_dev	= lib$(p_gwork)-dev
#p_clip	= clipbook.app

# packages temp dirs
d_gwork	= debian/$(p_gwork)
d_wrap	= debian/$(p_wrap)
#d_lib	= debian/$(p_lib)
#d_dev	= debian/$(p_dev)
d_clip	= debian/$(p_clip)
d_gwr	= debian/$(p_gwr)

#---------------------------------------------------------------------------

config.status:
	dh_testdir
	. ${GNUSTEP_MAKEFILES}/GNUstep.sh ; \
	./configure \
	    --build=$(DEB_BUILD_GNU_TYPE) \
	    --host=$(DEB_HOST_GNU_TYPE) \
	    --target=$(DEB_HOST_GNU_TYPE) \
	    --prefix=/usr \
	    --bindir=\$${prefix}/bin

build: build-stamp
build-stamp: config.status
	dh_testdir
# Build Gworkspace
	$(MAKE) messages=yes
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp
	# Clean Gworkspace
	[ ! -f GNUmakefile ] || $(MAKE) clean distclean
	rm -f $(CURDIR)/ContentViewers/PdfViewer/config.h
	find . -name config.log -exec rm {} \;
	find . -name config.status -exec rm {} \;
	dh_clean

install: install-arch install-indep
install-indep:
	dh_testdir
	dh_testroot
	dh_clean -k -i
	dh_installdirs -i
# Copy the contents of Apps_wrappers dir in a place GNUstep can find.
	dh_install -p$(p_wrap) -XCVS -X.xvpics \
	    Apps_wrappers/*.app lib/GNUstep/Applications
	rm -rf $(CURDIR)/debian/gworkspace-apps-wrappers/lib/GNUstep/Applications/ggv.app
	# don't support non-free applications (they can't be installed from main)
	rm -rf $(CURDIR)/debian/gworkspace-apps-wrappers/lib/GNUstep/Applications/netscape.app
	rm -rf $(CURDIR)/debian/gworkspace-apps-wrappers/lib/GNUstep/Applications/StarOffice.app
	rm -rf $(CURDIR)/debian/gworkspace-apps-wrappers/lib/GNUstep/Applications/Acrobat.app
	rm -rf $(CURDIR)/debian/gworkspace-apps-wrappers/lib/GNUstep/Applications/realplay.app
	rm -rf $(CURDIR)/debian/gworkspace-apps-wrappers/lib/GNUstep/Applications/xv.app
	# don't support non-gnustep apps that we have native apps for (textedit, poe)
	rm -rf $(CURDIR)/debian/gworkspace-apps-wrappers/lib/GNUstep/Applications/gedit.app
	rm -rf $(CURDIR)/debian/gworkspace-apps-wrappers/lib/GNUstep/Applications/oggedit.app

install-arch: build
	dh_testdir
	dh_testroot
	dh_clean -k -a
	dh_installdirs -a
# Install GWorkspace
	$(MAKE) install \
	    GNUSTEP_INSTALLATION_DOMAIN=SYSTEM DESTDIR=$(CURDIR)/debian/gworkspace.app
	dh_install debian/*.desktop usr/share/applications/
	rm $(CURDIR)/debian/*.app/usr/lib/GNUstep/Applications/*.app/Resources/*.desktop
	dh_install -a

# Build architecture independant packages
binary-indep: install-indep
	dh_testdir
	dh_testroot
# Fix .tiff files permissions
	for file in `find debian/gworkspace-apps-wrappers -name "*.tiff"`; do \
	    chmod -v 644 $$file ; done
	gsdh_gnustep -i
# Overrides lintian warnings    
	dh_installdirs -p$(p_wrap) usr/share/lintian/overrides
	cp  $(CURDIR)/debian/$(p_wrap).lintian-overrides \
	    $(d_wrap)/usr/share/lintian/overrides/$(p_wrap)
	dh_installchangelogs -i ChangeLog
	dh_installdocs -i
	dh_link -i
	dh_strip -i
	dh_compress -i
	dh_fixperms -i
	dh_installdeb -i
	dh_shlibdeps -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i

# Build architecture dependant packages.
binary-arch: build install-arch
	dh_testdir
	dh_testroot
# Install XPM Icons
	dh_install -p$(p_gwork) debian/GWorkspace.xpm usr/share/pixmaps
#	dh_install -p$(p_clip) debian/ClipBook.xpm usr/share/pixmaps
# Remove CVS dirs
	for pkg in $(p_gwork) $(p_clip) $(p_gwr) ; do \
	    for dir in `find debian/$$pkg -name "CVS" -type d` ; \
		do rm -rf $$dir ; done ; \
	    done
# Remove .xvpics dirs
	for dir in `find $(d_gwork) -name ".xvpics" -type d`; do \
	    rm -rf $$dir ; done
# Fix .tiff files permissions
	for file in `find $(d_gwork) -name "*.tiff"`; do \
	    chmod -v 644 $$file ; done
# Overrides lintian warnings
	for pack in $(p_gwork) $(p_clip) $(p_gwr); do \
	    dh_installdirs -p$$pack usr/share/lintian/overrides ; \
	    cp  $(CURDIR)/debian/$$pack.lintian-overrides \
		$(CURDIR)/debian/$$pack/usr/share/lintian/overrides/$$pack ; \
	    done
	gsdh_gnustep -a
	dh_installchangelogs -a ChangeLog
	dh_installdocs -a
	dh_installmenu -a
	dh_installman -p$(p_gwork) debian/GWorkspace.1
	dh_link -a
	dh_strip -a
	dh_compress -a
	dh_fixperms -a
	dh_makeshlibs -a -V
	dh_installdeb -a
	dh_shlibdeps -a -l$(CURDIR)/$(d_gwork)/$(GS_LIBS_DIR)
	dh_gencontrol -a
	dh_md5sums -a
	dh_builddeb -a

binary: binary-arch binary-indep
.PHONY: build clean binary-indep binary-arch binary install install-indep install-arch configure

=== debian/watch ===
version=3
http://www.gnustep.it/enrico/gworkspace/gworkspace-(.*)\.tar\.gz

## gworkspace 0.9.2

=== debian/changelog ===
gworkspace (0.9.2-1) unstable; urgency=medium

  * New upstream release:
    - Compatible with current GNUstep libraries (Closes: #749757).
    - Moving big folders is faster (Closes: #315269).
    - Correct Attrbitues inspector behaviour (Closes: #315279).
  * Ack NMUs, thanks gregor herrmann and Colin Watson.
  * debian/control (Maintainer): Set to the GNUstep team.
    (Uploaders): Add myself and remove Hubert as per his request.
    (Build-Depends): Bump debhelper requirement to >= 9.  Require
    libgnustep-gui-dev >= 0.24.  Remove libpopplerkit-dev (PDFKit is
    needed, which is not in Debian) and file.  Add libsqlite3-dev and
    libpreferencepanes-dev for GWMetadata.  Add imagemagick for the icons
    conversion.
    (mdfinder.app, gworkspace-common, gworkspace-dbg): New packages;
    enable GWMetadata and provide a -dbg package.
    (Vcs-Git, Vcs-Browser): New fields.
    (Section): Remove unnecessary binary package fields.
    (Depends): Add ${misc:Depends} and ${gnustep:Depends}.
    (Conflicts, Replaces): Remove; obsolete.
    (Recommends): Replace preview.app with price.app and preferences.app
    with systempreferences.app (Closes: #564677).  Move wrapperfactory.app
    to gworkspace-apps-wrappers' Recommends.
    (Standards-Version): Claim compliance with 3.9.5 as of this release.
  * debian/watch: Track ftp.gnustep.org.
  * debian/compat: Set to 9.
  * debian/patches/debian-changes-0.8.8-1: Delete; spurious result from
    improper clean.
  * debian/patches/667874.patch: Remove; fixed upstream.
  * debian/patches/link-libs.patch: New, link all needed libraries.
  * debian/patches/series: Update.
  * debian/rules: Rewrite for modern dh.  Move all images to /usr/share.
    Enable hardening.  Create symlinks for the manpages.
  * debian/gworkspace.app.install:
  * debian/mdfinder.app.install:
  * debian/mdfinder.app.manpages:
  * debian/mdfinder.app.menu:
  * debian/MDFinder.desktop:
  * debian/MDFinder.1:
  * debian/mdfind.1: New file.
  * debian/ClipBook.1:
  * debian/ClipBook.xpm:
  * debian/Desktop.app.1:
  * debian/Desktop.app.xpm:
  * debian/GWRemote.1:
  * debian/GWRemote.xpm:
  * debian/GWorkspace.xpm:
  * debian/gworkspace.app.lintian-overrides:
  * debian/clipbook.app.lintian-overrides:
  * debian/clipbook.app.menu:
  * debian/clipbook.app.postinst.debhelper:
  * debian/clipbook.app.postrm.debhelper: Delete.
  * debian/source/lintian-overrides: New file; override
    configure-generated-file-in-source.
  * debian/gwoskspace-apps-wrappers.install: New file; install the
    apps wrappers under /usr/lib, not /lib.  Thanks Andreas Beckmann
    (Closes: #689545).
  * debian/preinst: New file; handle the move of Resources to /usr/share.
  * debian/gworkspace.app.README.Debian: Delete wrong reference to the
    "defaults" tool which has been in /usr/bin since quite some time.
    Thanks Michael P. Soulier (Closes: #728265).
  * debian/gworkspace.app.menu: Fix title.
  * debian/GWorkspace.desktop: Make it valid, add Keywords field and use
    full path of the icon.
  * debian/GWorkspace.1: Provide explanation for the supporting programs.
  * debian/copyright: Rewrite in format 1.0.

 -- Yavor Doganov <yavor@gnu.org>  Thu, 17 Jul 2014 09:43:51 +0300

=== debian/control ===
Source: gworkspace
Section: gnustep
Priority: optional
Maintainer: Debian GNUstep maintainers <pkg-gnustep-maintainers@lists.alioth.debian.org>
Uploaders: Eric Heintzmann <eric@gnustep.fr.st>,
	   Jonathan Shipley <jon@windj.ath.cx>,
	   Gürkan Sengün <gurkan@phys.ethz.ch>,
	   Yavor Doganov <yavor@gnu.org>
Build-Depends: debhelper (>= 9),
	       libgnustep-gui-dev (>= 0.24),
	       libpreferencepanes-dev,
	       libsqlite3-dev,
	       imagemagick
Standards-Version: 3.9.5
Homepage: http://www.gnustep.org/experience/GWorkspace.html
Vcs-Git: git://anonscm.debian.org/pkg-gnustep/gworkspace.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-gnustep/gworkspace.git

Package: gworkspace.app
Architecture: any
Depends: gworkspace-common (= ${source:Version}),
	 ${shlibs:Depends},
	 ${misc:Depends},
	 ${gnustep:Depends}
Recommends: systempreferences.app,
	    price.app,
	    textedit.app,
	    viewpdf.app,
	    zipper.app,
	    cynthiune.app
Suggests: gworkspace-apps-wrappers
Description: GNUstep Workspace Manager
 GWorkspace is the official GNUstep workspace manager. It is a clone
 of NeXT's workspace manager. GWorkspace is probably one of the most
 useful and usable workspace managers available on any platform,
 owing to its well-designed interface and the natural, consistent
 design that it inherits from the GNUstep framework.

Package: gworkspace-common
Architecture: all
Depends: ${misc:Depends},
	 ${gnustep:Depends}
Recommends: gworkspace.app
Breaks: gworkspace.app (<< 0.9.2)
Replaces: gworkspace.app (<< 0.9.2)
Description: GNUstep Workspace Manager - common files
 GWorkspace is the official GNUstep workspace manager.
 .
 This package contains the architecture-independent files; it is not
 useful on its own.

Package: mdfinder.app
Architecture: any
Depends: gworkspace.app (= ${binary:Version}),
	 unzip,
	 ${shlibs:Depends},
	 ${misc:Depends},
	 ${gnustep:Depends}
Recommends: systempreferences.app
Description: GNUstep Finder and system-wide search system
 MDFinder is a an application to search items already indexed by the
 GWMetadata indexing system, a GNUstep implementation of MacOS X's
 proprietary Spotlight.  Searches can be saved and are automatically
 updated if the corresponding files change.  Indexing is done in the
 background and is switched off by default.  To enable it and
 configure the search path, use the dedicated module in
 the SystemPreferences application.

Package: gworkspace-apps-wrappers
Architecture: all
Depends: ${misc:Depends},
	 ${gnustep:Depends}
Recommends: gworkspace.app,
	    wrapperfactory.app,
Suggests: abiword,
	  alsa-utils,
	  bluefish,
	  emacs,
	  gedit,
	  gimp,
	  gnumeric,
	  iceweasel,
	  imagemagick,
	  konqueror,
	  lyx,
	  nedit,
	  sox,
	  vim | nvi,
	  xchat,
	  xfig,
	  xine-ui,
	  xpdf
Description: Application wrappers for GWorkspace
 A few wrapper scripts to enable usage of non-GNUstep applications
 within a GNUstep environment.
 .
 More wrappers can be made with wrapperfactory.app.

Package: gworkspace-dbg
Section: debug
Priority: extra
Architecture: any
Depends: gworkspace.app (= ${binary:Version}) | mdfinder.app (= ${binary:Version}),
	 ${misc:Depends},
	 ${gnustep:Depends}
Description: GNUstep Workspace Manager - debugging symbols
 GWorkspace is GNUstep's workspace manager.
 .
 This package provides the detached debugging symbols for GWorkspace
 and all of its supporting tools and libraries.

=== debian/rules ===
#!/usr/bin/make -f
# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

include /usr/share/GNUstep/debian/config.mk

g_app	 := $(CURDIR)/debian/gworkspace.app
m_app	 := $(CURDIR)/debian/mdfinder.app
g_wrap	 := $(CURDIR)/debian/gworkspace-apps-wrappers
usrshare := /usr/share/GNUstep

export DEB_LDFLAGS_MAINT_APPEND = -Wl,--no-undefined -Wl,--as-needed \
				    -Wl,-rpath,/usr/lib/gworkspace

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
optim := debug=yes
endif

%:
	dh $@ --parallel

override_dh_auto_configure:
	dh_auto_configure -- --enable-gwmetadata --with-unzip=unzip

override_dh_auto_build:
	$(MAKE) $(optim) messages=yes $(shell dpkg-buildflags --export=cmdline)
	convert GWorkspace/Resources/Icons/FileManager.tiff \
	  -resize 32x32 GWorkspace.xpm
	convert GWMetadata/MDFinder/Resources/Images/MDFinder.tiff \
	  -resize 32x32 MDFinder.xpm

override_dh_clean:
# FIXME: Remember to fix upstream's build system.
	find \( -name config.log -o -name config.status \) -delete
	find -name GNUmakefile -delete
	dh_clean *.xpm -X.m.orig

override_dh_auto_install:
# Cheat gnustep-make to install the libraries as private.
	$(MAKE) install GNUSTEP_SYSTEM_LIBRARIES=/usr/lib/gworkspace \
	  DESTDIR=$(CURDIR)/debian/tmp

override_dh_installman:
	dh_installman debian/GWorkspace.1
# Create symlinks for the manpages.  Deliberately do not derive the
# programs' list from /usr/bin -- if a tool is added upstream; the
# manpage has to be updated.
	for p in ddbd fswatcher lsfupdater resizer searchtool wopen \
	    Recycler; do \
	  dh_link usr/share/man/man1/GWorkspace.1 usr/share/man/man1/$$p.1; \
	done
	for p in gmds mdextractor; do \
	  dh_link -pmdfinder.app usr/share/man/man1/MDFinder.1 \
	    usr/share/man/man1/$$p.1; \
	done

override_dh_link:
	gsdh_gnustep
	dh_installdirs -pmdfinder.app $(usrshare)
	rm $(g_app)$(GNUSTEP_SYSTEM_APPS)/*.app/Resources/*.desktop
	rm $(m_app)$(GNUSTEP_SYSTEM_APPS)/*.app/Resources/*.desktop
# Move all Resources containing images to /usr/share/GNUstep.
	cd $(g_app)$(GNUSTEP_SYSTEM_APPS); \
	  for i in *.app/Resources; do \
	    mv $$i $(g_app)$(usrshare)/$${i%Resources}; \
	  done
	for i in $(g_app)$(usrshare)/*.app; do \
	  dh_link $(usrshare)/$${i##*/} \
	    $(GNUSTEP_SYSTEM_APPS)/$${i##*/}/Resources; \
	done
	cd $(g_app)$(GNUSTEP_SYSTEM_BUNDLES); \
	  for i in *.inspector/Resources; do \
	    mv $$i $(g_app)$(usrshare)/$${i%Resources}; \
	  done
	for i in $(g_app)$(usrshare)/*.inspector; do \
	  dh_link $(usrshare)/$${i##*/} \
	    $(GNUSTEP_SYSTEM_BUNDLES)/$${i##*/}/Resources; \
	done
# Handle mdfinder.app's stuff as well.
	mv $(m_app)$(GNUSTEP_SYSTEM_APPS)/*.app/Resources \
	  $(m_app)$(usrshare)/MDFinder.app
	dh_link -pmdfinder.app $(usrshare)/MDFinder.app \
	  $(GNUSTEP_SYSTEM_APPS)/MDFinder.app/Resources
	mv $(m_app)$(GNUSTEP_SYSTEM_BUNDLES)/*.prefPane/Resources \
	  $(m_app)$(usrshare)/MDIndexing.prefPane
	dh_link -pmdfinder.app $(usrshare)/MDIndexing.prefPane \
	  $(GNUSTEP_SYSTEM_BUNDLES)/MDIndexing.prefPane/Resources
# Now a dirty hack to move arch-indep data to the -common package.
# Cannot be done in the install-* targets as $(usrshare) has been just
# populated by this recipe.
	mkdir -p $(CURDIR)/debian/gworkspace-common/usr/share
	mv $(g_app)$(usrshare) $(CURDIR)/debian/gworkspace-common/usr/share

override_dh_fixperms:
	dh_fixperms
	chmod -x $(m_app)$(usrshare)/MDIndexing.*/*.tiff
	-chmod -x $(g_wrap)$(GNUSTEP_SYSTEM_APPS)/vi.app/vi.tiff

override_dh_strip:
	dh_strip --dbg-package=gworkspace-dbg

override_dh_makeshlibs:
# Avoid lintian warnings for private libraries in /usr/lib/gworkspace.
	dh_makeshlibs -n

=== debian/watch ===
version=3
opts=pasv \
  ftp://ftp.gnustep.org/pub/gnustep/usr-apps/gworkspace-(.*)\.tar\.gz

## gworkspace 0.9.3

=== debian/changelog ===
gworkspace (0.9.3-1build1) yakkety; urgency=medium

  * No-change rebuild for gnustep-gui 0.25

 -- Matthias Klose <doko@ubuntu.com>  Thu, 01 Sep 2016 21:11:49 +0000

gworkspace (0.9.3-1) unstable; urgency=low

  * New upstream release (Closes: #805019).
  * Bump Standards-Version to 3.9.6 in debian/control file.
  * Update uploader (myself) address in debian/control file.
  * Don't hardcode LDFLAGS in debian/rules (let dpkg-buildflags do the job).
  * use dh $@ --with autotools-dev in debian/rules file,
    and thus add autotool-dev to Build-Depends in debian/control file.
  * Provide a debian/source/options file with a dpkg-source argument to ignore
    config.log, config.status, config.h, and GNUmakefile autogenerated files
    (and thus remove dh_clean_overrides target in debian/rules file).
  * According to debian policy 9.1.1,move application wrappers and
    Resources dirs to /usr/share/GNUstep/ subdirs:
    - update and provide new debian/*.install files
    - use dh_symlink and dpkg-maintainer-script (and thus add dependency
      to dpkg (>=1.17.4) to create symlink from old to new locations.
      (provide new debian/*.links and debian/*.maintscript)
    - provide a new private script (debian/generate.sh) to autogenerate
      *.install, *.links and *.maintscript files.
    - clean corresponding *.lintian-overrides files.
    - remove old preinst script.
    - clean debian/rules file.from old unneeded code (Closes: #806044)..
  * Override dh_shlibdeps in debian/rules to help it to find private libs.
  * Remove debian/patches/link-libs.patch: not needed anymore.
  * Don't move framework libs (or symlinks) in /usr/lib/gworkspace anymore:
    let them in /usr/lib where gworkstace app and tools looking for then
  * update gworkspace.lintian-overrides because we don't split private
    frameworks into shared lib packages:
    - add package-name-doesnt-match-sonames tag 
    - add non-dev-pkg-with-shlib-symlink tag
  * According with lintian and #741573 don't install menu file any longer.

 -- Eric Heintzmann <heintzmann.eric@free.fr>  Fri, 06 Nov 2015 19:20:01 +0100

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: gnustep
 Priority: optional
 Maintainer: Debian GNUstep maintainers <pkg-gnustep-maintainers@lists.alioth.debian.org>
-Uploaders: Eric Heintzmann <eric@gnustep.fr.st>,
+Uploaders: Eric Heintzmann <heintzmann.eric@free.fr>,
 	   Jonathan Shipley <jon@windj.ath.cx>,
 	   Gürkan Sengün <gurkan@phys.ethz.ch>,
 	   Yavor Doganov <yavor@gnu.org>
@@ -10,8 +10,9 @@
 	       libgnustep-gui-dev (>= 0.24),
 	       libpreferencepanes-dev,
 	       libsqlite3-dev,
+	       autotools-dev,
 	       imagemagick
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Homepage: http://www.gnustep.org/experience/GWorkspace.html
 Vcs-Git: git://anonscm.debian.org/pkg-gnustep/gworkspace.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-gnustep/gworkspace.git
@@ -19,9 +20,9 @@
 Package: gworkspace.app
 Architecture: any
 Depends: gworkspace-common (= ${source:Version}),
+	 dpkg (>= 1.17.14),
 	 ${shlibs:Depends},
-	 ${misc:Depends},
-	 ${gnustep:Depends}
+	 ${misc:Depends}
 Recommends: systempreferences.app,
 	    price.app,
 	    textedit.app,
@@ -38,8 +39,7 @@
 
 Package: gworkspace-common
 Architecture: all
-Depends: ${misc:Depends},
-	 ${gnustep:Depends}
+Depends: ${misc:Depends}
 Recommends: gworkspace.app
 Breaks: gworkspace.app (<< 0.9.2)
 Replaces: gworkspace.app (<< 0.9.2)
@@ -51,11 +51,11 @@
 
 Package: mdfinder.app
 Architecture: any
-Depends: gworkspace.app (= ${binary:Version}),
+Depends: dpkg (>= 1.17.14),
+	 gworkspace.app (= ${binary:Version}),
 	 unzip,
 	 ${shlibs:Depends},
-	 ${misc:Depends},
-	 ${gnustep:Depends}
+	 ${misc:Depends}
 Recommends: systempreferences.app
 Description: GNUstep Finder and system-wide search system
  MDFinder is a an application to search items already indexed by the
@@ -68,8 +68,8 @@
 
 Package: gworkspace-apps-wrappers
 Architecture: all
-Depends: ${misc:Depends},
-	 ${gnustep:Depends}
+Depends: dpkg (>= 1.17.14),
+	 ${misc:Depends}
 Recommends: gworkspace.app,
 	    wrapperfactory.app,
 Suggests: abiword,
@@ -101,8 +101,7 @@
 Priority: extra
 Architecture: any
 Depends: gworkspace.app (= ${binary:Version}) | mdfinder.app (= ${binary:Version}),
-	 ${misc:Depends},
-	 ${gnustep:Depends}
+	 ${misc:Depends}
 Description: GNUstep Workspace Manager - debugging symbols
  GWorkspace is GNUstep's workspace manager.
  .

=== debian/rules ===
#!/usr/bin/make -f
# See debhelper(7) (uncomment to enable)
# output every command that modifies files on the build system.
#export DH_VERBOSE = 1

# see EXAMPLES in dpkg-buildflags(1) and read /usr/share/dpkg/*
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/default.mk

# see FEATURE AREAS in dpkg-buildflags(1)
#export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# see ENVIRONMENT in dpkg-buildflags(1)
# package maintainers to append CFLAGS
#export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
# package maintainers to append LDFLAGS
#export DEB_LDFLAGS_MAINT_APPEND = -Wl,--no-undefined -Wl,--as-needed \
#				   -Wl,-rpath,/usr/lib/gworkspace

include /usr/share/GNUstep/debian/config.mk

%:
	dh $@ --parallel --with autotools-dev

override_dh_auto_configure:
	dh_auto_configure -- \
	  --enable-gwmetadata \
	  --with-unzip=unzip

override_dh_auto_build:
	$(MAKE) $(optim) \
	  messages=yes \
	  $(shell dpkg-buildflags --export=cmdline)
# Generate icons with imagemagick
	convert GWorkspace/Resources/Icons/FileManager.tiff \
	  -resize 32x32 GWorkspace.xpm
	convert GWMetadata/MDFinder/Resources/Images/MDFinder.tiff \
	  -resize 32x32 MDFinder.xpm

override_dh_auto_install:
	$(MAKE) install \
	  DESTDIR=$(CURDIR)/debian/tmp

override_dh_installman:
	dh_installman
# Create symlinks for the manpages.  Deliberately do not derive the
# programs' list from /usr/bin -- if a tool is added upstream; the
# manpage has to be updated.
	for p in ddbd fswatcher lsfupdater resizer searchtool wopen \
	    Recycler; do \
	  dh_link usr/share/man/man1/GWorkspace.1 usr/share/man/man1/$$p.1; \
	done
	for p in gmds mdextractor; do \
	  dh_link -pmdfinder.app usr/share/man/man1/MDFinder.1 \
	    usr/share/man/man1/$$p.1; \
	done

override_dh_fixperms:
	dh_fixperms
# Fix .tiff files permissions
	find debian -name "*.tiff" -perm 0755 -exec chmod -v 0644 {} \;
# Fix .desktop files permissions
	find debian -name "*.desktop" -perm 0755 -exec chmod -v 0644 {} \;

override_dh_strip:
	dh_strip --dbg-package=gworkspace-dbg

## gworkspace 0.9.4

=== debian/changelog ===
gworkspace (0.9.4-3) unstable; urgency=medium

  * debian/patches/gcc-10.patch: New; fix FTBFS with GCC 10
    (Closes: #957324).
  * debian/patches/series: Update.
  * debian/control (Build-Depends): Switch to the debhelper-compat
    mechanism; bump compat level to 13.  Drop gnustep-make; required
    version is available in buster.  Add imagemagick for icon conversion.
    (Rules-Requires-Root): Set to "no".
    (gworkspace-common): Mark as M-A: foreign.
    (gworkspace-apps-wrappers): Replace suggested iceweasel package with
    firefox-esr | firefox.  Mark as M-A: foreign.
  * debian/compat: Delete.
  * debian/rules (DEB_LDFLAGS_MAINT_APPEND): Remove -Wl,--as-needed;
    default as of bullseye.
    (d_app): Define for convenience.
    (override_dh_auto_configure): Pass --with-sh=/bin/sh; hopefully it'll
    fix the unreproducible build.
    (override_dh_auto_build): Support "terse" in DEB_BUILD_OPTIONS.
    (override_dh_auto_install): Convert app icons to PNG format; fixes
    AppStream errors.
    (override_dh_strip): Remove.
  * debian/gworkspace-apps-wrappers.install: Replace iceweasel with
    firefox.  Skip documentation for aplay and xine wrappers; irrelevant
    and only causes lintian warnings.
  * debian/gworkspace-apps-wrappers.links: Replace iceweasel with firefox.
  * debian/mdfinder.app.install: Add forgotten .desktop file.
  * debian/MDFinder.desktop: Use the PNG icon.
  * debian/GWorkspace.desktop: Likewise.

 -- Yavor Doganov <yavor@gnu.org>  Mon, 22 Jun 2020 16:19:33 +0300

gworkspace (0.9.4-2) unstable; urgency=medium

  * Bump standards version to 4.5.0.
  * Fix Vcs fields.

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Tue, 04 Feb 2020 12:11:39 +0100

gworkspace (0.9.4-1) unstable; urgency=medium

  * New upstream release.
  * debian/compat: Bump to 11.
  * debian/control (Uploaders): Change Gürkan's family name as requested.
    (Build-Depends): Require debhelper >= 11 and drop autotools-dev.
    Remove imagemagick which was only needed for the icon  conversion.
    Require gnustep-make >= 2.7.0-3 for noopt handling.  Remove obsolete
    libgnustep-gui-dev version requirement.  Add libpopplerkit-dev for the
    PDF inspector.
    (Depends): Remove obsolete dpkg dependency.
    (gworkspace-common): Remove obsolete Breaks/Replaces.
    (gnustep-apps-wrappers): Suggest calibre and coccinella.
    (gworkspace-dbg): Remove in favour of automatic -dbgsym packages.
    (Vcs-Git, Vcs-Browser): Use secure/canonical URIs.
    (Standards-Version): Claim compliance with 4.1.2 as of this release.
  * debian/gworkspace.app.install:
  * debian/gworkspace.app.links:
  * debian/gworkspace-common.install: Remove .xpm icon, resizer tool and
    thumbnailer service which got merged into the respective bundles.
    Handle the addition of the PDF inspector.
  * debian/mdfinder.app.install: Remove .xpm icon.
  * debian/gworkspace-apps-wrappers.install:
  * debian/gworkspace-apps-wrappers.links: Add calibre and coccinella.
  * debian/rules: Use default hardening and dh sequence.  Restore
    maintainer LDFLAGS and install all libraries in /usr/lib/gworkspace.
    (override_dh_auto_build): Don't generate XPM icons.  Use dh_auto_build
    instead of $(MAKE) to actually get parallel building.
    (override_dh_auto_install): Pass GNUSTEP_SYSTEM_LIBRARIES set to the
    desired value to overcome gnustep-make's inability to handle private
    libraries/frameworks.
    (override_dh_installman): Pass -p explicitly so that the "all" buildd
    does not create dangling symlinks (Closes: #841780).  Perhaps a better
    alternative is to rename the override as -arch or just move the
    manpages to gworkspace-common.
    (override_dh_fixperms): Handle .plist files as well.
    (override_dh_missing): Pass --list-missing.
    (override_dh_strip): Pass --dbgsym-migration.
    (override_dh_makeshlibs): Pass -n; all libraries are private.
  * debian/patches/link-libs.patch: New, link all needed libraries.
  * debian/patches/spelling-errors.patch: New, fix some spelling errors.
  * debian/patches/incompatible-pointer-types.patch:
  * debian/patches/misc-compiler-warnings.patch: New patches.
  * debian/patches/ftbfs-hurd.patch: New; fix FTBFS on GNU/Hurd, thanks
    Svante Signell (Closes: #767847).
  * debian/patches/popplerkit.patch: New; resurrect ancient patch by
    Hubert Chathi to use PopplerKit for the PDF inspector.
  * debian/patches/series: New file.
  * debian/gworkspace-apps-wrappers.maintscript:
  * debian/gworkspace.app.maintscript:
  * debian/mdfinder.app.mainscript: Delete; not necessary anymore.
  * debian/source/options: Remove .xpm files.
  * debian/mdfinder.app.menu: Delete.
  * debian/gworkspace.app.lintian-overrides: Delete, no longer needed.
  * debian/mdfinder.app.lintian-overrides: New; some false positives.
  * debian/GWorkspace.1: Fix typo and remove section about resizer.
  * debian/changelog: Whitespace cleanup.
  * debian/copyright: Update copyright years; use https for format URL.

 -- Yavor Doganov <yavor@gnu.org>  Sun, 24 Dec 2017 09:18:38 +0200

=== debian/control ===
--- 
+++ 
@@ -4,23 +4,23 @@
 Maintainer: Debian GNUstep maintainers <pkg-gnustep-maintainers@lists.alioth.debian.org>
 Uploaders: Eric Heintzmann <heintzmann.eric@free.fr>,
 	   Jonathan Shipley <jon@windj.ath.cx>,
-	   Gürkan Sengün <gurkan@phys.ethz.ch>,
+	   Gürkan Myczko <gurkan@phys.ethz.ch>,
 	   Yavor Doganov <yavor@gnu.org>
-Build-Depends: debhelper (>= 9),
-	       libgnustep-gui-dev (>= 0.24),
+Build-Depends: debhelper-compat (= 13),
+	       imagemagick,
+	       libgnustep-gui-dev,
 	       libpreferencepanes-dev,
-	       libsqlite3-dev,
-	       autotools-dev,
-	       imagemagick
-Standards-Version: 3.9.6
+	       libpopplerkit-dev,
+	       libsqlite3-dev
+Rules-Requires-Root: no
+Standards-Version: 4.5.0
+Vcs-Git: https://salsa.debian.org/gnustep-team/gworkspace.git
+Vcs-Browser: https://salsa.debian.org/gnustep-team/gworkspace
 Homepage: http://www.gnustep.org/experience/GWorkspace.html
-Vcs-Git: git://anonscm.debian.org/pkg-gnustep/gworkspace.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-gnustep/gworkspace.git
 
 Package: gworkspace.app
 Architecture: any
 Depends: gworkspace-common (= ${source:Version}),
-	 dpkg (>= 1.17.14),
 	 ${shlibs:Depends},
 	 ${misc:Depends}
 Recommends: systempreferences.app,
@@ -39,10 +39,9 @@
 
 Package: gworkspace-common
 Architecture: all
+Multi-Arch: foreign
 Depends: ${misc:Depends}
 Recommends: gworkspace.app
-Breaks: gworkspace.app (<< 0.9.2)
-Replaces: gworkspace.app (<< 0.9.2)
 Description: GNUstep Workspace Manager - common files
  GWorkspace is the official GNUstep workspace manager.
  .
@@ -51,8 +50,7 @@
 
 Package: mdfinder.app
 Architecture: any
-Depends: dpkg (>= 1.17.14),
-	 gworkspace.app (= ${binary:Version}),
+Depends: gworkspace.app (= ${binary:Version}),
 	 unzip,
 	 ${shlibs:Depends},
 	 ${misc:Depends}
@@ -68,18 +66,20 @@
 
 Package: gworkspace-apps-wrappers
 Architecture: all
-Depends: dpkg (>= 1.17.14),
-	 ${misc:Depends}
+Multi-Arch: foreign
+Depends: ${misc:Depends}
 Recommends: gworkspace.app,
 	    wrapperfactory.app,
 Suggests: abiword,
 	  alsa-utils,
 	  bluefish,
+	  calibre,
+	  coccinella,
 	  emacs,
+	  firefox-esr | firefox,
 	  gedit,
 	  gimp,
 	  gnumeric,
-	  iceweasel,
 	  imagemagick,
 	  konqueror,
 	  lyx,
@@ -95,15 +95,3 @@
  within a GNUstep environment.
  .
  More wrappers can be made with wrapperfactory.app.
-
-Package: gworkspace-dbg
-Section: debug
-Priority: extra
-Architecture: any
-Depends: gworkspace.app (= ${binary:Version}) | mdfinder.app (= ${binary:Version}),
-	 ${misc:Depends}
-Description: GNUstep Workspace Manager - debugging symbols
- GWorkspace is GNUstep's workspace manager.
- .
- This package provides the detached debugging symbols for GWorkspace
- and all of its supporting tools and libraries.

=== debian/rules ===
#!/usr/bin/make -f
# See debhelper(7) (uncomment to enable)
# output every command that modifies files on the build system.
#export DH_VERBOSE = 1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
# All libraries are installed in a subdirectory as per Policy 10.2.
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--no-undefined \
				  -Wl,-rpath,/usr/lib/gworkspace
d_app := $(CURDIR)/debian/tmp
include /usr/share/GNUstep/debian/config.mk

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- \
	  --enable-gwmetadata \
	  --with-sh=/bin/sh \
	  --with-unzip=unzip

override_dh_auto_build:
	dh_auto_build -- $(optim) \
	  $(verbose) \
	  $(shell dpkg-buildflags --export=cmdline)

override_dh_auto_install:
# Cheat gnustep-make to install all libraries as private.
	dh_auto_install -- install \
	  GNUSTEP_SYSTEM_LIBRARIES=/usr/lib/gworkspace \
	  DESTDIR=$(d_app)
# Convert app icons to PNG format in order to avoid AppStream errors.
	convert GWorkspace/Resources/Icons/FileManager.tiff -resize 64x64 \
	  $(d_app)$(GNUSTEP_SYSTEM_APPS)/GWorkspace.app/Resources/FileManager.png
	convert \
	  GWMetadata/MDFinder/Resources/Images/MDFinder.tiff -resize 64x64 \
	  $(d_app)$(GNUSTEP_SYSTEM_APPS)/MDFinder.app/Resources/MDFinder.png

override_dh_installman:
	dh_installman
# Create symlinks for the manpages.  Deliberately do not derive the
# programs' list from /usr/bin -- if a tool is added upstream; the
# manpage has to be updated.
	for p in ddbd fswatcher lsfupdater searchtool wopen Recycler; do \
	  dh_link -pgworkspace.app \
	    usr/share/man/man1/GWorkspace.1 usr/share/man/man1/$$p.1; \
	done
	for p in gmds mdextractor; do \
	  dh_link -pmdfinder.app usr/share/man/man1/MDFinder.1 \
	    usr/share/man/man1/$$p.1; \
	done

override_dh_fixperms:
	dh_fixperms
# Fix .tiff files permissions
	find debian -name "*.tiff" -perm 0755 -exec chmod -v 0644 {} \;
# Fix .desktop files permissions
	find debian -name "*.desktop" -perm 0755 -exec chmod -v 0644 {} \;
# At least one .plist file is also executable.
	find debian -name "*.plist" -perm 0755 -exec chmod -v 0644 {} \;

override_dh_missing:
# Reminder to update .install/.links when a new extractor/inspector or
# a new tool is added.
	dh_missing -Xstamp.make --list-missing

override_dh_makeshlibs:
# Avoid lintian warnings for private libraries in /usr/lib/gworkspace.
	dh_makeshlibs -n
